Summary:    ICC Profile Collection Base
Name:       oyranos-profiles-base
Version:    0.4
Release:    0
License:    various
Group:      Applications/ColourManagement
Source:     oyranos-profiles-base-0.4.tar.gz
Vendor:     http://www.behrmann.name
Packager:   Kai-Uwe Behrmann <ku.b@gmx.de>
BuildRoot:  %{_tmppath}/%{name}-root
Prefix:     %{_prefix}
BuildArch: noarch

%description
ICC profiles from various sources. Licensing is
detailed in each package's relevant docs.


%package -n     oyranos-RGB
Summary:    Oyranos standard sRGB ICC profile +
Group:      Applications/Graphics
URL:        http://www.littlecms.com
License:    public domain
%description -n oyranos-RGB
The "WWW standard" sRGB profile and others

%package -n     oyranos-lcmsLAB
Summary:    Oyranos standard PCS profiles
Group:      Applications/Graphics
URL:        http://www.littlecms.com
License:    public domain
%description -n oyranos-lcmsLAB
Special LCMS profiles.

%package -n     oyranos-LStarRGB
Summary:    Oyranos standard Editing RGB profile
Group:      Applications/Graphics
URL:        http://www.lstar-rgb.com
License:    LStar-RGB
%description -n oyranos-LStarRGB
The RGB profile maintaining perceptual equal lightness.

%package -n     oyranos-Cineon
Summary:    Oyranos additional Cineon ICC Profiles
Group:      Applications/Graphics
URL:        http://www.behrmann.name
License:    GPL
%description -n oyranos-Cineon
Cineon ICC Profiles

%package -n     oyranos-PhotoGamutRGB
Summary:    Oyranos additional ICC Profile for Photoediting
Group:      Applications/Graphics
URL:        http://www.photogamut.org
License:    PhotoGamut
%description -n oyranos-PhotoGamutRGB
A ICC Profile optimized for digital photos.




%prep
%setup -q -n %{name}-%{version}

%build

%install
%{__rm} -rf "%{buildroot}"
make INSTDIR=%{_prefix} DESTDIR=%{buildroot} install

%clean
%{__rm} -rf "%{buildroot}"

#%post

#%postun

%files -n oyranos-lcmsLAB
%defattr(-, root, root)
%{_datadir}/color/icc/LCMS*.ICM
%{_datadir}/color/icc/Lab.icc
%{_datadir}/color/icc/XYZ.icc
%doc LICENSE

%files -n oyranos-Cineon
%defattr(-, root, root)
%{_datadir}/color/icc/Cine*.icc
%doc COPYING

%files -n oyranos-LStarRGB
%defattr(-, root, root)
%{_datadir}/color/icc/LStar-RGB.icc
# This should go in the package docs, not with the profiles.
%doc LStar-License.rtf

%files -n oyranos-PhotoGamutRGB
%defattr(-, root, root)
%{_datadir}/color/icc/PhotoGamutRGB_avg6c.icc
%doc LICENSE

%files -n oyranos-RGB
%defattr(-, root, root)
%{_datadir}/color/icc/sRGB.icc
%{_datadir}/color/icc/compatibleWithAdobeRGB1998.icc

%doc LICENSE



%changelog

* Sun Jul 9 2006 - Kai-Uwe Behrmann <ku.b at gmx.de>
- add compatibleWithAdobeRGB1998.icc from Graeme Gill
- move oyranos-sRGB to oyranos-RGB for inclusion of above profile

* Wed Jul 5 2006 - Kai-Uwe Behrmann <ku.b at gmx.de>
- add Lab.icc and XYZ.icc symlinks => v0.4

* Sat Jun 4 2005 - Kai-Uwe Behrmann <ku.b at gmx.de>
- sorting URLs and Licenses

* Fri Jun 3 2005  - P. Linnell <mrodcs at scribus.info>
- spec files tweaks
- split the package into sub-packages to avoid future name space clashes

* Sat May 28 2005 - Kai-Uwe Behrmann
- packaging


